Subject: Re: linux-next: build warning after merge of the ftrace tree

From: Steven Rostedt <[email-masked]>
Date: Wed, 4 Jun 2014 21:12:02 -0400

On Thu, 5 Jun 2014 09:03:53 +0800
Fengguang Wu <[email-masked]> wrote:

> > Was I Cc'd? I don't have that in my inbox, nor do I see it in any of my
> > spam filters.
> 
> Yes, here is the email message:
> 
>         Date: Sat, 31 May 2014 02:16:43 +0800
>         From: kbuild test robot <[email-masked]>
> ==>     To: "Steven Rostedt (Red Hat)" <[email-masked]>

Hmm, I wonder where it ended up? I do have a pretty complex procmailrc
file, but I even checked the procmail log file, and it doesn't show it.

I don't think my email provider dropped it, as I have all the spam
filtering turned off and do my own filtering. Although, they may have
added something behind my back. Wouldn't be the first time.

Are you sure that got sent?

Can you check if your bots have triggered anything else for me. Because
your bots have been surprisingly quiet lately. I just took that as me
getting better at not pushing crap.

I may add a bad commit to one of my branches and see if I get a
response from you just to test it out. I really hope we can fix this
because I've gotten someone dependent on your reports. :-/

-- Steve

>         CC: [email-masked]
>         Subject: [trace:ftrace/core 29/32] kernel/trace/trace_benchmark.c:38:6: warning: unused variable 'seedsq'
>         User-Agent: Heirloom mailx 12.5 6/20/10
> 
>         tree:   git://git.kernel.org/pub/scm/linux/kernel/git/rostedt/linux-trace.git ftrace/core
>         head:   4c27e756bc019ec1c11232893af036fdae720a97
>         commit: 81dc9f0ef21e40114cc895894c7acf3055f6d1fb [29/32] tracing: Add tracepoint benchmark tracepoint
>         config: make ARCH=x86_64 allmodconfig
> 
>         All warnings:
> 
>            kernel/trace/trace_benchmark.c: In function 'trace_do_benchmark':
>         >> kernel/trace/trace_benchmark.c:38:6: warning: unused variable 'seedsq' [-Wunused-variable]
>              u64 seedsq;                                                                             
>                  ^
> Thanks,
> Fengguang